<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.project.mapper.WorkFocusProgressMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="workFocusProgressResultMap" type="org.springblade.modules.project.pojo.entity.WorkFocusProgressEntity">
    </resultMap>


    <select id="selectWorkFocusProgressPage" resultMap="workFocusProgressResultMap">
        select * from d_work_focus_progress where is_deleted = 0
    </select>


    <select id="exportWorkFocusProgress" resultType="org.springblade.modules.project.pojo.excel.WorkFocusProgressExcel">
        SELECT * FROM d_work_focus_progress ${ew.customSqlSegment}
    </select>


    <select id="selectWorkFocusList" resultMap="workFocusProgressResultMap">
        select * from d_work_focus_progress where is_deleted = 0
        and work_focus_id = #{workFocusProgress.id}
    </select>

</mapper>
